function [X,Y,Z] = flH2XYZ(fi,lamda,Hel,elipsoid)
%[X,Y,Z] = flH2XYZ(fi,lamda,Hel,elipsoid)
%prevod zemepisnych souradnic (fi,lamda,elipsoidicka vyska) na kartezske (X,Y,Z)

[a,b,e2] = elipsoid(elipsoid);
ro = 180/pi;

X = (N(fi,elipsoid) + Hel) * cos(fi/ro) * cos(lamda/ro);
Y = (N(fi,elipsoid) + Hel) * cos(fi/ro) * sin(lamda/ro);
Z = (N(fi,elipsoid)*(1-e2) + Hel) * sin(fi/ro);